## casper 1.57

=== casper-md5check/Makefile ===

CC=gcc
LDFLAGS=-lm
CFLAGS=$(getconf LFS_CFLAGS) -Wall -O2

casper-md5check: casper-md5check.c md5.c

clean:
	rm *.o casper-md5check

## casper 0.62

=== debian/changelog ===
casper (0.62) hoary; urgency=low

  * Updated translations from
    colin.watson@canonical.com--2005/casper--translations--0 (nb)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  5 Apr 2005 09:01:02 -0700

casper (0.61) hoary; urgency=low

  * Updated translations from
    colin.watson@canonical.com--2005/casper--translations--0 (el, es, ro)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  5 Apr 2005 08:06:51 -0700

casper (0.60) hoary; urgency=low

  * Updated translations from
    colin.watson@canonical.com--2005/casper--translations--0 (hu, id, pl)

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 28 Mar 2005 11:26:21 -0800

casper (0.59) hoary; urgency=low

  * Updated translations from
    colin.watson@canonical.com--2005/casper--translations--0 (de, pt_BR)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 25 Mar 2005 16:51:17 -0800

casper (0.58) hoary; urgency=low

  * Remove postfix shutdown links, as well as startup, to avoid an ugly error

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 24 Mar 2005 18:24:03 -0800

casper (0.57) hoary; urgency=low

  * Merge colin.watson@canonical.com--2005/casper--translations--0 up to
    patch-2
  * Preseed netcfg/wireless_essid_again for noninteractive network setup, +new
    in netcfg 1.08ubuntu3 [colin.watson@canonical.com--2005/casper--netcfg--0]

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 23 Mar 2005 08:33:46 -0800

casper (0.56) hoary; urgency=low

  * Suppress error output from eject
  * Remind the user to close the CD tray if they have one (Ubuntu #6668)
  * Add arch-build target to debian/rules

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 22 Mar 2005 10:21:41 -0800

casper (0.55) hoary; urgency=low

  * Remove the hack introduced in 0.54, xorg 6.8.2-5 should be fixed

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 16 Mar 2005 18:11:05 -0800

casper (0.54) hoary; urgency=low

  * Temporarily set RECONFIGURE=true when reconfiguring xserver-xorg, to work
    around a bug introduced in 6.8.2-3

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 16 Mar 2005 15:08:45 -0800

casper (0.53) hoary; urgency=low

  * Provide target-base-system (i.e. base system installed in /target, also
    provided by base-installer).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 13:01:53 +0000

casper (0.52) hoary; urgency=low

  * Arrange for $LANG to be set after pivot_root, so that (e.g.)
    xserver-xorg can use it to infer the keymap (Ubuntu #7138)

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 12 Mar 2005 02:10:59 -0800

casper (0.51) hoary; urgency=low

  * Disable kpersonalizer startup on first login

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat,  5 Mar 2005 13:47:13 -0800

casper (0.50) hoary; urgency=low

  * Add support for configuring kdm autologin
  * Rename 15gdm-autologin to 15autologin, and the corresponding debconf template
  * Remove obsolete XORG_FORCE_PROBE from 20xconfig

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  3 Mar 2005 10:37:31 -0800

casper (0.49) hoary; urgency=low

  * Fix 20xconfig harder

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  2 Mar 2005 21:20:03 -0800

casper (0.48) hoary; urgency=low

  * Source confmodule in 20xconfig

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  2 Mar 2005 21:02:35 -0800

casper (0.47) hoary; urgency=low

  * Copy over the value of debian-installer/keymap into the target system,
    to allow the new logic in xserver-xorg.config to work

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  2 Mar 2005 20:45:38 -0800

casper (0.46) hoary; urgency=low

  * Lock the live user's password entirely.  Since the user is now
    automagically logged in, continuously, both on the console and in X,
    their password is irrelevant.

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 28 Feb 2005 08:31:13 -0800

casper (0.45) hoary; urgency=low

  * Enable TimedLogin in gdm, so that if the user logs out, they are
    automatically logged back in after a few seconds (Ubuntu #6667)

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 27 Feb 2005 16:06:16 -0800

casper (0.44) hoary; urgency=low

  * Configure init to spawn shells on virtual consoles, rather than login
    prompts (Ubuntu #6666)
  * Skip X configuration if a serial console is in use
  * Set the live user's password to be blank, rather than "ubuntu".  This
    is, paradoxically, more secure if the user decides to install
    openssh-server, since empty passwords are disallowed by default

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 27 Feb 2005 15:40:15 -0800

casper (0.43) hoary; urgency=low

  * Override localechooser progress bar text to be more appropriate for the
    live CD (closes: Ubuntu #6664).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Feb 2005 19:12:00 +0000

casper (0.42) hoary; urgency=low

  * Preseed netcfg/no_interfaces, to avoid prompt when no network interfaces
    can be configured (closes: Ubuntu #6107).
  * Remove redundant DH_COMPAT setting in debian/rules, since there's
    already a (different) debian/compat.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Feb 2005 12:43:43 +0000

casper (0.41) hoary; urgency=low

  * Cope with change in default /etc/sudoers (admin group).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Feb 2005 09:14:30 +0000

casper (0.40) hoary; urgency=low

  * Copy /dev/tts to the live system as well as /dev/vc, for serial console.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Feb 2005 19:03:54 +0000

casper (0.39) hoary; urgency=low

  * Fix reboot operation (cache the reboot binary)

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 10 Feb 2005 20:51:08 -0800

casper (0.38) hoary; urgency=low

  * Eject the CD during shutdown/reboot
    - Awful hack to copy /dev/cdroms to the live system, because the CD is
      mounted using devfs names
    - Add /usr/share/casper/shutdown script to casper-udeb
    - Copy /usr/share/casper/shutdown to /etc/rc[06].d in 25configure-init
  * Remove caspermon binary package, inadvertently enabled (not even
    remotely ready)

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 10 Feb 2005 13:43:56 -0800

casper (0.37) hoary; urgency=low



=== debian/control ===
Source: casper
Section: misc
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Build-Depends: debhelper (>> 4.2.0)
Standards-Version: 3.6.1

Package: casper-udeb
Architecture: all
Section: debian-installer
Priority: optional
XB-Installer-Menu-Item: 40
XC-Package-Type: udeb
Depends: casper-check, cdrom-detect, dmsetup-udeb, loop-modules, ext2-modules, md-modules, harddrive-detection
Provides: target-base-system
Description: Run a "live" preinstalled system from read-only media

Package: casper-check
Architecture: all
Section: debian-installer
Priority: standard
XC-Package-Type: udeb
Description: enter casper (live) mode if requested

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION:=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=dpkg-buildpackage -us -uc -S

build: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp configure-stamp

	dh_clean

install: build
	dh_testdir
#	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install -pcasper-check debian-installer-startup.d main-menu.d lib
	dh_install -pcasper-udeb casper usr/lib
	dh_install -pcasper-udeb bin/casper-reconfigure usr/bin
	dh_install -pcasper-udeb share/shutdown usr/share/casper

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir
#	dh_testroot
	dh_installdebconf	
	install -m755 debian/casper-udeb.isinstallable debian/casper-udeb/DEBIAN/isinstallable
#	dh_installdocs
#	dh_installinit
#	dh_installchangelogs 
#	dh_link
#	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_gencontrol
#	dh_md5sums
	dh_builddeb

arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/casper-$(VERSION)
	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/casper-$(VERSION)
	(cd debian/arch-build/casper-$(VERSION); $(DEB_BUILD_PROG))

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## casper 1.18

=== debian/changelog ===
casper (1.18) breezy; urgency=low

  * Update translations from Rosetta: Greek, Spanish, French, Hungarian,
    Brazilian Portuguese.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2005 20:05:02 +0100

casper (1.17) breezy; urgency=low

  * Set /apps/gnome-screensaver/lock if gnome-screensaver is installed

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 16 Sep 2005 15:24:35 -0700

casper (1.16) breezy; urgency=low

  * Install a fake script in /lib/debian-installer.d/S72menu-exit after
    pivoting that just calls sleep, to prevent scary console messages as d-i
    tries to exit without its root filesystem.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2005 10:28:06 +0100

casper (1.15) breezy; urgency=low

  * Neutralize branding in startup message
  * Use clear in addition to reset, in hopes of concealing error messages on
    the console from d-i's death throes

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  9 Sep 2005 11:24:14 -0700

casper (1.14) breezy; urgency=low

  * Set RUNNING_UNDER_GDM=yes in the user's environment to stop xscreensaver
    locking the screen (Ubuntu #7150).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  8 Sep 2005 13:37:00 +0100

casper (1.13) breezy; urgency=low

  * Use reset, rather than clear, to clean up after the colored dialogs on vt1

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  7 Sep 2005 16:09:45 -0700

casper (1.12) breezy; urgency=low

  * Kill bterm after pivoting so that we can use vt1 rather than vt2,
    thereby avoiding a fight between gdm and the X server (closes: Ubuntu
    #14851).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  7 Sep 2005 15:48:40 +0100

casper (1.11) breezy; urgency=low

  * Remove debugging code which crept into 1.10
  * Revert changes to casper-udeb.postinst which were intended for
    starting usplash earlier (pre-1.10)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  2 Sep 2005 13:43:03 -0700

casper (1.10) breezy; urgency=low

  * Instead of starting usplash directly, create an init script which will
    start it later (after the new init), to avoid it being killed by
    busybox init

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 29 Aug 2005 20:26:58 -0700

casper (1.9) breezy; urgency=low

  * Remember to re-run 30copy-dev from 94usplash, in order to preserve the
    device nodes clobbered by udev
  * Redirect stdin of /etc/init.d/udev from /dev/console, to avoid
    incredibly obnoxious 60-second sleep because it thinks we're
    interactive

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 29 Aug 2005 18:30:38 -0700

casper (1.8) breezy; urgency=low

  * Add usplash support

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 29 Aug 2005 17:30:57 -0700

casper (1.7) breezy; urgency=low

  * Set DEBUG_XORG_PACKAGE=yes when reconfiguring xserver-xorg.  The
    output is only written to post.log and isn't visible to the user, and
    can be invaluable for debugging

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 22 Aug 2005 10:25:38 -0700

casper (1.6) breezy; urgency=low

  * Use debconf-copydb again (thanks, Tollef)
  * Rename pre.d/20xconfig to pre.d/20prexconfig so that it is distinct from
    post.d/20xconfig for purposes of the progress bar (no text for it; it's
    very fast)

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 17 Aug 2005 14:55:24 -0700

casper (1.5) breezy; urgency=low

  * Call MAKEDEV console in post.d/20xconfig as a workaround for bug
    #13523

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 16 Aug 2005 15:24:06 -0700

casper (1.4) breezy; urgency=low

  * Revert to the old debconf hack; the debconf-copydb approach needs more
    work

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 15 Aug 2005 22:48:11 -0700

casper (1.3) breezy; urgency=low

  * Revert unintentional release of experimental unionfs code in 1.2

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 13 Aug 2005 11:19:50 -0700

casper (1.2) breezy; urgency=low

  * Fix debconf-copydb regex in 20xconfig

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 13 Aug 2005 11:07:46 -0700

casper (1.1) breezy; urgency=low

  * Cope with xserver-xorg's rename of force_keyboard_detection to
    autodetect_keyboard

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  4 Jul 2005 02:52:07 -0700

casper (1.0) breezy; urgency=low

  * Version number bump (we've been through a stable Ubuntu release, after
    all)
  * Rename pre.d/10snapshot to post.d/10filesystem, as it is about to
    become more generic
  * Seed xserver-xorg/force_keyboard_detection to true in 20xconfig, so as
    to cause the keyboard layout to (continue to) be autodetected based on
    d-i settings

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 16 Jun 2005 11:21:54 -0700

casper (0.65) breezy; urgency=low

  * As a performance optimization, only reconfigure gnome-panel-data if
    booting on a laptop
  * Disable the "lock screen" menu item (Ubuntu bug#7150)

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  8 Jun 2005 16:02:14 -0700

casper (0.64) breezy; urgency=low

  * Merge colin.watson@canonical.com--2005/casper--debconf-copydb--0
    - Use debconf-copydb rather than our temporary hack

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 31 May 2005 12:08:51 -0700

casper (0.63) breezy; urgency=low

  * Merge colin.watson@canonical.com--2005/casper--cdebconf-info--0
    - Update for cdebconf 0.75: use db_info rather than db_x_setbacktitle.

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 18 Apr 2005 20:59:58 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Priority: optional
 XB-Installer-Menu-Item: 40
 XC-Package-Type: udeb
-Depends: casper-check, cdrom-detect, dmsetup-udeb, loop-modules, ext2-modules, md-modules, harddrive-detection
+Depends: casper-check, cdebconf-udeb (>= 0.78), cdrom-detect, dmsetup-udeb, loop-modules, ext2-modules, md-modules, harddrive-detection
 Provides: target-base-system
 Description: Run a "live" preinstalled system from read-only media

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 VERSION:=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
-DEB_BUILD_PROG:=dpkg-buildpackage -us -uc -S
+DEB_BUILD_PROG:=dpkg-buildpackage -us -uc -rfakeroot
 
 build: build-stamp
 build-stamp:
@@ -52,7 +52,7 @@
 	rm -rf debian/arch-build
 	mkdir -p debian/arch-build/casper-$(VERSION)
 	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/casper-$(VERSION)
-	(cd debian/arch-build/casper-$(VERSION); $(DEB_BUILD_PROG))
+	(cd debian/arch-build/casper-$(VERSION); $(DEB_BUILD_PROG); dpkg-genchanges -S > ../casper_$(VERSION)_source.changes)
 
 binary: binary-indep
 .PHONY: build clean binary-indep binary-arch binary install

## casper 1.57

=== debian/changelog ===
casper (1.57) dapper; urgency=low

  * Rename the anacron rc.d/S* symlinks to K*, instead of removing them.
    Because otherwise pbbuttonsd decides that starting anacron on the
    LiveCD would be a clever thing to do.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 24 May 2006 23:06:04 +0100

casper (1.56) dapper; urgency=low

  * Hopefully work a bit better when checking DVDs on 32 bit
    architectures.
  * Do an explicit read from /dev/console when waiting for keypress after
    CD/DVD has been ejected.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 22 May 2006 16:43:03 +0200

casper (1.55) dapper; urgency=low

  * Reconfigure gnome-power-manager when doing live installations.
    Malone #45654

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 22 May 2006 11:16:46 +0200

casper (1.54) dapper; urgency=low

  [ Luke Yelavich ]
  * Set large print fonts for the v1 accessibility profile. Closes 
    Malone #45376. 

  [ Colin Watson ]
  * Fix preseed/file handling (closes: Malone #43683).

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 18 May 2006 19:36:24 +0200

casper (1.53) dapper; urgency=low

  [ Tollef Fog Heen ]
  * Disable fglrx and nvidida drivers by default.  Somewhat addresses
    #43706

  [ Colin Watson ]
  * Pass all command-line preseed arguments (other than preseed/file) to
    /root's debconf db.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Sat, 13 May 2006 10:14:36 +0200

casper (1.52) dapper; urgency=low

  * Export the path in casper-reconfigure so X and friends actually have
    sbin in their path.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 11 May 2006 21:04:11 +0200

casper (1.51) dapper; urgency=low

  [ Luke Yelavich ]
  * casper-bottom/30accessibility:
    - Removed stale reference to acessx_applet.
    - Fix some typos for gconf values that had to be set as lists.

  [ Colin Watson ]
  * Pass debian-installer/locale to /root's debconf db (closes: Malone
    #41896).
  * Identify ourselves as casper when communicating with debconf.
  * Factor out preseeding code into casper-preseed; this knows that it only
    needs to register a question if it fails to set it, which saves memory
    by avoiding debconf having to rewrite templates.dat.
  * Preseed kbd-chooser/method as well as debian-installer/keymap, so that
    kbd-chooser run from ubiquity picks up the selected keyboard (closes:
    Malone #42202).
  * Use new dpkg-reconfigure --no-reload option (debconf 1.4.72ubuntu6) to
    avoid needlessly rewriting templates.dat.
  
  [ Tollef Fog Heen ]
  * Add ... to the end of all usplash messages.  Malone #43856
  * Add maybe_break casper-bottom to allow breaking before running bottom
    scripts.  Malone #43860
  * Don't show the name of the live cd user that's added.
  * Mount COW filesystem if show-cow is present on the kernel command line.
    Malone #43687
  * Disable the Kubuntu update notifier too.  Malone #43806
  * Disable hibernation and enable sleep where appropriate.  Malone #23882

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 11 May 2006 12:11:08 +0200

casper (1.50) dapper; urgency=low

  [ Luke Yelavich ]
  * Fixed some typos, and added missing settings to some accessibility
    profiles, as they were either not working properly, or at all. Malone:
    #39472, #39473
  * Removed the desktop wallpaper, and changed the background colour to gray
    for the v1 accessibility profile.
  * Set the whiteglass mouse theme for the v1 accessibility profile.
  * Moved the gconftool-2 -s flag to individual gct calls, to allow for future
    use of gconftool-2 flags that are incompatible with -s.
  
  [ Daniele Favara ]
  * Allow custom HOST, USERNAME, USERFULLNAME.  Malone: #42118
  * Add example file
    - debian/casper.dir: Add examples dir 
    - debian/casper.conf: Explain briefly how to use new variables 
    - debian/rules: Install casper.conf as example_conf_casper
  
  [ Tollef Fog Heen ]
  * Stylistic changes to Daniele's changes.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue,  2 May 2006 14:12:31 +0200

casper (1.49) dapper; urgency=low

  * Also look for hardware named wlan*

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 26 Apr 2006 13:37:13 +0100

casper (1.48) dapper; urgency=low

  * Write /etc/network/interfaces entries for eth0, eth1, eth2, ath0 and
    wlan0 if there's no hardware detected for them; as it may be plugged
    in after boot.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 26 Apr 2006 12:31:38 +0100

casper (1.47) dapper; urgency=low

  [ Tollef Fog Heen ]
  * Turn on debugging of the X config.
  * Log to a file which gets copied to /var/log/casper.log.  Malone: #39895
  * Only pick UTF-8 locales.  Malone: #40178
  * Use correct /root rather than /target for seeing what version of
    gnome-panel-data is installed.
  * Make festival (and probably some other apps) happier by using
    127.0.1.1 for our ubuntu hostname and 127.0.0.1 just resolves to
    "localhost".
  * Make casper-md5check read from tty8 since it wants to get keypresses
    from the active console (where usplash runs).  Malone: #40490.
  * Copy /etc/modules when installing with ubiquity.  Malone: #40311
  * /etc/gdm/gdm-cdd.conf can be a symlink.  Cope with that.  Malone: #40767  

  [ Colin Watson ]
  * ubiquity-casper conflicts/replaces espresso-casper.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 24 Apr 2006 09:41:14 +0200

casper (1.46) dapper; urgency=low

  * Use debian-installer/dummy for preseeding rather than espresso/dummy,
    since the latter was removed in espresso 0.99.38.
  * espresso is being renamed to ubiquity. Rename espresso-casper to
    ubiquity-casper to match.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Apr 2006 12:52:48 +0100

casper (1.45) dapper; urgency=low

  [ Matt Zimmerman ]
  * [share/shutdown] Disable the usplash timeout and wrap the prompt to two
    lines

  [ Tollef Fog Heen ]
  * Use devmapper for ia64, hppa and sparc.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 19 Apr 2006 11:36:49 +0200



=== debian/control ===
Source: casper
Section: misc
Priority: optional
Maintainer: Tollef Fog Heen <tfheen@ubuntu.com>
Build-Depends: debhelper (>> 4.2.0)
Standards-Version: 3.6.1

Package: casper
Architecture: any
Section: misc
Priority: extra
Depends: initramfs-tools (>= 0.40ubuntu11), dmsetup, user-setup
Conflicts: usplash (<< 0.1-30)
Description: Run a "live" preinstalled system from read-only media

Package: ubiquity-casper
Architecture: all
Depends: laptop-detect
Conflicts: espresso-casper
Replaces: espresso-casper
Enhances: ubiquity
Description: Configuration hooks for live installer
 This package provides hook scripts for the Ubiquity live installer that
 repeat some pieces of configuration done by the live system boot process in
 the system installed by Ubiquity.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION:=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=dpkg-buildpackage -us -uc -rfakeroot

build: build-stamp
build-stamp:
	dh_testdir
	cd casper-md5check && make

	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp configure-stamp
	-cd casper-md5check && make clean

	dh_clean

install: build
	dh_testdir
#	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	install -m644 debian/casper.initramfs debian/casper/usr/share/initramfs-tools/scripts/casper
	install -m755 debian/casper.initramfs-hooks debian/casper/usr/share/initramfs-tools/hooks/casper
	install -m755 casper-md5check/casper-md5check debian/casper/usr/lib/casper

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installexamples -i casper.conf
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
#	dh_installinit -a
	dh_installchangelogs -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## casper 1.77+debian

=== casper-md5check/Makefile ===
--- 
+++ 
@@ -6,4 +6,4 @@
 casper-md5check: casper-md5check.c md5.c
 
 clean:
-	rm *.o casper-md5check
+	rm -f *.o casper-md5check

## casper 1.78

=== debian/changelog ===
casper (1.78) edgy; urgency=low

  * Mount the first squashfs as /rofs. Breaks showmounts and won't work
    properly with stacked filesystems, but works around a kernel oops with
    multiply-mounted squashfses for Edgy.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Oct 2006 12:46:05 +0100

casper (1.77) edgy; urgency=low

  * Honour console-setup/modelcode preseeding. Needed for Malone #66719,
    #66774.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2006 19:59:39 +0100

casper (1.76) edgy; urgency=low

  [ Colin Watson ]
  * Copy access=m2 accessibility changes into the corresponding ubiquity
    hook.
  * Remove spurious quoting from accessibility script.
  * Clear console-setup/layoutcode and console-setup/variantcode if they
    aren't supplied on the command line.

  [ Michael Vogt ]
  * scripts/casper-bottom/35fix_language_selector:
    - run fontconfig-voodoo if available to make sure that we have
      optimal fontconfig settings for the CJK languages (lp: #49334)

  [ Henrik Nilsen Omma ]
  * Fix a few accessibility items that were out of date, changing
    gnopernicus -> orca and gok -> onboard (the gok entry was missing some
    brackets as well; patch from Malone #58836, closes: Malone #65861).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Oct 2006 20:20:15 +0100

casper (1.75) edgy; urgency=low

  * Turn on accessibility in "Motor Difficulties - pointing devices" which
    makes onboard start properly.  closes: Malone: #65861.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 13 Oct 2006 14:12:10 +0200

casper (1.74) edgy; urgency=low

  [ Tollef Fog Heen ]
  * Sync up ubiquity-hooks/30accessibility with
    scripts/casper-bottom/30accessibility fixing spelling errors and
    enabling accessibility in KDE.

  [ Colin Watson ]
  * Fix check for presence of gconf2 (closes: Malone #58836).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Oct 2006 11:18:00 +0100

casper (1.73) edgy; urgency=low

  * Never run install-keymap or preseed debian-installer/keymap if
    console-setup is detected, even if console-setup wasn't explicitly
    preseeded. Contributes to Malone #60067.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  7 Oct 2006 01:56:20 +0100

casper (1.72) edgy; urgency=low

  * Force suspend and hibernate both off, since reconfiguring
    gnome-power-manager kills usplash here.  Fixes Malone: #61535
    completely.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri,  6 Oct 2006 14:22:23 +0200

casper (1.71) edgy; urgency=low

  * Use TEXT-URGENT in shutdown script to make sure we display the "please
    remove disc and press enter" text.  Malone: #61533
  * Increase usplash timeout since "TIMEOUT 0" no longer means "spin
    forever".
  * Don't move-mount all the squashfs-es into / since that confuses mono
    (and some other apps too).  Malone: #62756
  * Disable kwallet by default.  Malone: #47743
  * Add -n to language selector to make it not whine about
    not-fully-installed langpacks.  Malone. #37568
  * Override definition of log_end_msg in casper-functions.  Make sure all
    casper-bottom scripts use this.
  * Pulsate bar in casper-top and casper-bottom.  Malone: #61535

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed,  4 Oct 2006 09:52:06 +0200

casper (1.70) edgy; urgency=low

  * Check for new file= alias as well as preseed/file= (closes: Malone
    #63145).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Oct 2006 08:59:53 +0100

casper (1.69) edgy; urgency=low

  [ Tollef Fog Heen ]
  * Use grep -E in scripts/casper. Malone: #57620
  * Fix syntax error in accessibility script

  [ Colin Watson ]
  * Run 'sh -n' over everything in build target to avoid future syntax
    errors.
  * Fix check for /etc/default/console-setup (closes: Malone #62775).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  2 Oct 2006 10:58:19 +0100

casper (1.68) edgy; urgency=low

  * Honour console-setup/layoutcode and console-setup/variantcode preseeding
    (closes: Malone #61573).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Sep 2006 16:09:53 +0100

casper (1.67) edgy; urgency=low

  * Make sure to write xorg.conf md5sum to the installed system, not the
    live system in ubiquity-hooks/20xconfig
  * Implement support for setting KDE's accessibility options too, thanks
    to Jonathan Riddell for the patch.
  * Use usplash's TEXT-URGENT for important messages when doing md5 checks
  * Fix flashing of progress bar on 32 bit arches

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 23 Aug 2006 14:34:57 +0200

casper (1.66) edgy; urgency=low

  * Fix use of db_get in ubiquity accessibility hook.
  * Use sudo instead of su to get to the live session user from the
    initramfs or to the newly-installed user from ubiquity. su's argument
    handling has changed so that the previous code no longer worked, and su
    was never all that good for arguments containing spaces anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  4 Sep 2006 15:46:55 +0100

casper (1.65) edgy; urgency=low

  * Update to call udevsettle/udevtrigger instead of udevplug

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 21 Aug 2006 19:37:58 +0200

casper (1.64) edgy; urgency=low

  * Fix moving of squashfs mount points so that /proc/mounts in the
    installed system refers to them correctly (closes: Malone #55019). As a
    bonus, this lets us mount them on subdirectories of /casper/ right from
    the start.
  * Treat locale= as equivalent to debian-installer/locale= (closes: Malone
    #53444).
  * Fix ubiquity-hooks/30accessibility not to use log_end_msg, and to chroot
    to /target instead of /root (closes: Malone #53277).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  3 Aug 2006 14:00:22 +0100

casper (1.63) edgy; urgency=low

  [ Tollef Fog Heen ]
  * Change "Live CD user" to "live session user" in the adduser script.
    Malone #46882
  * Wait for persistent devices for 30 seconds, not 1500.
  * Make sure that readahead-list is installed before chmod -x'ing it.


=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 Architecture: any
 Section: misc
 Priority: extra
-Depends: initramfs-tools (>= 0.40ubuntu11), dmsetup, user-setup
-Conflicts: usplash (<< 0.1-30)
+Depends: initramfs-tools (>= 0.40ubuntu11), dmsetup, user-setup, sudo
+Conflicts: usplash (<< 0.4-27)
 Description: Run a "live" preinstalled system from read-only media
 
 Package: ubiquity-casper
 Architecture: all
-Depends: laptop-detect
+Depends: laptop-detect, sudo
 Conflicts: espresso-casper
 Replaces: espresso-casper
 Enhances: ubiquity

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
	dh_testdir
	$(MAKE) -C casper-md5check
	set -e; \
	for x in bin/* scripts/casper scripts/casper-bottom/* \
	         ubiquity-hooks/*; do \
		sh -n $$x; \
	done

clean:
	dh_testdir
	$(MAKE) -C casper-md5check clean

	dh_clean

install: build
	dh_testdir
	dh_clean -k
	dh_installdirs
	dh_install
	install -m755 casper-md5check/casper-md5check debian/casper/usr/lib/casper
	install -m644 casper.conf debian/casper/etc/casper.conf

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installexamples -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installinit -a -r --no-start -- start 89 0 6 .
	dh_installchangelogs -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## casper 1.87

=== debian/changelog ===
casper (1.87) feisty; urgency=low

  [ Colin Watson ]
  * Improve language at end of MD5 check (LP: #100088).

  [ Martin Pitt ]
  * Add casper-bottom/33enable_apport_crashes: Enable apport crash
    notifications. They are disabled now by default in the installed system
    for the final release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  9 Apr 2007 14:31:50 +0200

casper (1.86) feisty; urgency=low

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility:
    - Point to new settings file for gnome-orca, as package was changed
      from python-support to pycentral. (LP: #91868)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Apr 2007 16:42:54 +0100

casper (1.85) feisty; urgency=low

  * Stop disabling nvidia and fglrx drivers.  LP: #94359

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon,  2 Apr 2007 13:16:46 +0200

casper (1.84) feisty; urgency=low

  [ Jani Monoses ]
  * scripts/casper-bottom/13swap: Call /bin/dd not dd so it
    correctly detects and uses existing swap partitions (LP: #62868)

  [ Tollef Fog Heen ]
  * Make sure that we are settled before trying to set up netbooting.
    (LP: #96076)
  * Bind-mount /dev too, when configuring X, this should make it easier
    for X to be correctly configured on a lot of systems.
  * Add /root/lib and /root/usr/lib to /etc/ld.so.conf in the initramfs.
  * Add any sources on the CD to APT using apt-cdrom.
  * Set the time zone to UTC.  LP: #13782
  * Fix deletion of checkroot script.  LP: #66585.

  [ Colin Watson ]
  * Fix error message if do_netmount fails (LP: #95134).

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 30 Mar 2007 12:37:58 +0200

casper (1.83) feisty; urgency=low

  * Fix usplash version in Conflicts.
  * Add XS-Vcs-Bzr field to debian/control.
  * scripts/casper-bottom/25configure_init: Support for "respawn COMMAND"
    has been dropped from upstart jobs; cope with /etc/event.d/tty* using
    "respawn" plus "exec COMMAND" now instead (LP: #92928).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Mar 2007 16:44:22 +0000

casper (1.82) feisty; urgency=low

  [ Ben Collins ]
  * Depends on eject package, and copy it into initramfs.
  * Add log_wait_msg function to use usplash_write INPUTENTER.
  * Conflict with usplash older than the one that fixes INPUTENTER.
  * Add driver-updates hooks.

  [ Colin Watson ]
  * Fix more leftover /live_media wreckage (LP: #84592).
  * Add a ubiquity hook to install driver-updates on the target system.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Mar 2007 11:19:48 +0000

casper (1.81) feisty; urgency=low

  * Merge in Debian's changes.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed,  7 Feb 2007 14:39:30 +0100

casper (1.80) feisty; urgency=low

  * scripts/casper-bottom/31disable_update_notifier: Allow update-notifier
    to run for crash report handling, but disable its apt-check hook.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Feb 2007 00:11:06 +0000

casper (1.79) feisty; urgency=low

  [ Colin Watson ]
  * ubiquity-hooks/30accessibility: Change /root to /target in
    kderc_addtoprefixes (thanks, Jani Monoses).
  * Call udevsettle after udevtrigger (thanks, Matthias Urlichs; LP:
    #77438).
  * Send casper-reconfigure error messages to stderr rather than stdout to
    avoid interfering with debconf.

  [ Jani Monoses ]
  * ubiquity-hooks/30accessibility, scripts/casper-bottom/30accessibility:
    Fix v2 option to start orca in magnifier not speech mode.
    Add v1, v2, v3, m1 and m2 Xubuntu options

  [ Tollef Fog Heen ]
  * Apply patch from Luka Renko to support kde-guidance-powermanager and
    ksmserver instead of klaptoprc as the latter is no longer used.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 10 Jan 2007 20:37:30 +0100

casper (1.77+debian-6) unstable; urgency=medium

  * Improved snapshots features (even still experimental).
  * Added "live-media-offset=BYTES" boot param, to enable "hiding"
    feature, thanks to Sebastien Raveau <sebastien.raveau@epita.fr>.
  * Now it creates /etc/resolv.conf if netbooted.

 -- Marco Amadori <marco.amadori@gmail.com>  Fri,  1 Dec 2006 17:43:30 +0100

casper (1.77+debian-5) unstable; urgency=low

  * Fixed preseeding locale and keyboard's variant and options.
  * Reorganized scans of /proc/cmdline.
  * Improved manpages, thanks to Oliver Osburg for syntax corrections.
  * Added "nopersistent" boot option to disable the "persistent" boot param.
  * Added "xdebconf" boot option, that uses xdebconfigurator on the
    rootfs to configure X (experimental).

 -- Marco Amadori <marco.amadori@gmail.com>  Mon, 20 Nov 2006 22:12:18 +0100

casper (1.77+debian-4) unstable; urgency=medium

  * Removed -phigh from casper-reconfigure, not needed anymore.
  * Fixed netboot /etc/network/interfaces generation, thanks to Hadar
    <whadar@gmail.com>.
  * Fixed X keyboard setup. Thanks to <ascii_77@yahoo.fr> for the idea.
  * Fixed keyboard setup.
  * Allow commandline-device to show up late, thanks to Bas Wijnen
    <wijnen@debian.org> for the code and the care (Closes: #397320).
  * Urgency is set to medium to try reaching Etch with important
    features/bugfixes.

 -- Marco Amadori <marco.amadori@gmail.com>  Mon,  6 Nov 2006 19:00:29 +0100

casper (1.77+debian-3) unstable; urgency=medium

  * Fixed "todisk=" parsing.
  * Urgency is set to medium to try reaching Etch with important
    features/bugfixes.

 -- Marco Amadori <marco.amadori@gmail.com>  Wed,  1 Nov 2006 11:15:56 +0100

casper (1.77+debian-2) unstable; urgency=medium

  [ Marco Amadori ]
  * Improved snapshotting (but still experimental).
  * Renamed "host=" boot parameter to "hostname=" and shell variable "HOST" to
    "HOSTNAME" for consistence, with linux and with username/USERNAME, as
    requested by many people.
  * Fixed a "keyb=" typo.
  * Added dependence on lsb-base (used by init-script and
    casper-snapshot).
  * Removed DM support (obsolete).
  * Changed a bit locale and keyboard handling.
  * Fixed locale generation.


=== debian/control ===
Source: casper
Section: misc
Priority: optional
Maintainer: Tollef Fog Heen <tfheen@ubuntu.com>
Build-Depends: debhelper (>> 4.2.0), lsb-release
Standards-Version: 3.6.1
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/casper/trunk

Package: casper
Architecture: any
Section: misc
Priority: extra
Depends: initramfs-tools (>= 0.40ubuntu11), dmsetup, user-setup, sudo, eject
Conflicts: usplash (<< 0.4-43)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Run a "live" preinstalled system from read-only media

Package: ubiquity-casper
Architecture: all
Depends: laptop-detect, sudo
Conflicts: espresso-casper
Replaces: espresso-casper
Enhances: ubiquity
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Configuration hooks for live installer
 This package provides hook scripts for the Ubiquity live installer that
 repeat some pieces of configuration done by the live system boot process in
 the system installed by Ubiquity.

## casper 1.110

=== debian/changelog ===
casper (1.110) gutsy; urgency=low

  * Don't generate fglrx or the nvidia modules in the live session at boot;
    we disable restricted-manager in the live session anyway so they aren't
    straightforward to use (see #43706). Saves about 19 MB of memory.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2007 21:28:29 +0100

casper (1.109) gutsy; urgency=low

  * Cache the stty binary before ejecting the CD.
  * Skip the CD eject prompt if 'noprompt' is on the kernel command line
    (LP: #149159).
  * Try each of (e.g.) 2.6.22-13-generic, 2.6.22-13, and 2.6.22 in turn as
    directory names for driver updates (LP: #122430).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2007 03:24:43 +0100

casper (1.108) gutsy; urgency=low

  * If CASPER_GENERATE_UUID is set, generate a random UUID in the initramfs,
    and check it against the discovered medium (unless booting with the
    ignore_uuid parameter). This allows live CD images to be safely copied
    to the hard disk without causing problems when booting future live CDs
    (LP: #144800).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2007 14:23:37 +0100

casper (1.107) gutsy; urgency=low

  * Fix gconf keys for suspend and hibernate (thanks, Oliver Grawert;
    LP: #144790).
  * Enable suspend again since as far as I can see we no longer need to
    probe DMI while figuring out whether to enable it (see #61535).
  * Add a 'textonly' boot option to disable X (LP: #65818).
  * Write the please-remove-CD message to /dev/console so that it works even
    if usplash isn't running, and make sure to set /dev/console into a sane
    state so that pressing Enter doesn't just result in ^M being displayed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2007 15:12:57 +0100

casper (1.106) gutsy; urgency=low

  * Support preseed/early_command; code supplied here will be run using 'sh
    -c' from casper-bottom, and can chroot to /root if needed (LP: #144845).
  * Make sure we don't accidentally continue to boot if casper-md5check
    fails (LP: #82856).
  * Clear out debconf database backup files after preseeding to save memory
    (LP: #43706).
  * Mount everything as noatime to avoid unnecessary metadata writes.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2007 15:27:52 +0100

casper (1.105) gutsy; urgency=low

  * scripts/casper-bottom/36disable_trackerd: Disable trackerd in the live
    session; it's not very useful in this context and it uses a fair bit of
    memory.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Sep 2007 17:25:50 +0100

casper (1.104) gutsy; urgency=low

  * casper-md5check: Fall back to text output if opening the usplash FIFO
    fails (LP: #131209).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2007 01:07:45 +0100

casper (1.103) gutsy; urgency=low

  * Disable anacron harder so that it doesn't get started by battery events.
  * Don't write out DHCP network interface stanzas if network-manager is
    installed (LP: #139403).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Sep 2007 12:52:21 +0100

casper (1.102) gutsy; urgency=low

  * Rename 42disable_cups_apparmor to 42disable_apparmor and remove AppArmor's
    rc.d startup links instead of just disabling the cups profile. AA profiles
    will not generally work on the live system, so disabling it completely
    allows us to ship more profiles without worrying any further.
    (LP: #131976)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Sep 2007 08:37:50 +0200

casper (1.101) gutsy; urgency=low

  * Add scripts/casper-bottom/42disable_cups_apparmor: Disable AppArmor
    protection for cups on the live CD by switching the profiles to complain
    mode. This is necessary until AppArmor works properly on stacked file
    systems. (LP: #131976)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Sep 2007 16:44:02 +0200

casper (1.100) gutsy; urgency=low

  * scripts/casper-bottom/41apt_cdrom: Remove unnecessary /root/cdrom
    mounting/unmounting code, which only serves to generate error messages
    (scripts/casper-bottom/05mountpoints handles this already).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Sep 2007 19:47:58 +0100

casper (1.99) gutsy; urgency=low

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility:
    - Change gconf setting used to automatically start Orca (LP: #131808).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Aug 2007 13:09:46 +0100

casper (1.98) gutsy; urgency=low

  * Load /preseed.cfg if it exists in the initramfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Aug 2007 16:18:27 +0100

casper (1.97) gutsy; urgency=low

  * Fix paths in scripts/casper-bottom/10adduser and
    scripts/casper-bottom/38disable_restricted_manager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Aug 2007 15:26:33 +0100

casper (1.96) gutsy; urgency=low

  [ Colin Watson ]
  * Fix name and executability of timezone script.

  [ Jonathan Riddell ]
  * In 10adduser add About Kubuntu document to desktop and remove
    restricted-manager autostart files

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Aug 2007 12:51:02 +0100

casper (1.95) gutsy; urgency=low

  * Fix regex syntax error while looking for non-CD devices for driver
    updates.
  * Fix ip= boot parameter, documented but not properly merged from Debian
    (LP: #128689).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Jul 2007 15:03:41 +0100

casper (1.94) gutsy; urgency=low

  [ Colin Watson ]
  * Hack around keyboard configuration not being done until after the keymap
    is set by having /etc/init.d/usplash reconfigure the console
    (LP: #68487).
  * Disable pam_lastlog on the console if doing autologin (LP: #126800).

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility:
    - Prevent gksu from grabbing keyboard focus for the v2, v3, and m1
      accessibility profiles. (LP: #67172)
  * Start Orca when a Braille device is configured from choosing the


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: casper
 Section: misc
 Priority: optional
-Maintainer: Tollef Fog Heen <tfheen@ubuntu.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>> 4.2.0), lsb-release
 Standards-Version: 3.6.1
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/casper/trunk
@@ -10,7 +10,7 @@
 Architecture: any
 Section: misc
 Priority: extra
-Depends: initramfs-tools (>= 0.40ubuntu11), dmsetup, user-setup, sudo, eject
+Depends: initramfs-tools (>= 0.40ubuntu11), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject
 Conflicts: usplash (<< 0.4-43)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
 Description: Run a "live" preinstalled system from read-only media
